Subject: Re: Windows Resource Scripts
From: [email-masked] (Jens Yllman)

11 Dec 1998 06:00:36 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mark Fitzgerald <[email-masked]>
Cc: Timothy Legge <[email-masked]>, [email-masked]

 I've not used this alot. But I've tried to include a version resource.
windres does not have any problem compiling it. And windows detects that
the file contains a version resource. But when windows tries to display
the info it is empty. Have you gotten this to work????

 /Jens

Mark Fitzgerald wrote:
> 
> On Tue, 8 Dec 1998, Timothy Legge wrote:
> 
> > Hi
> >
> > Is there any information available on how to create a Windows program that
> > uses a resource file.
> 
> A little.  The FAQ mentions that a COFF file can be produced from a textal
> RC file using 'windres'.  Type 'windres --help' to get some basic info.
> Aside from taking a few minutes to get the command-line parameters right,
> it worked well for me.  I used output for COFF, not RES.
> 
> (Aside: what can I use RES files for with the cygwin tools?)
> 
> > My application that compiles with Visual C++ 5.0 makes use of a menu and a
> > Dialog.  Any ideas how to compile it with gnuwin32 gcc.
> >
> > Tim
> 
> Once you have compiled your .rc file into a .coff file, then just add the
> .coff file to the set of object files to be linked together by the linker.
> 
> That should be it.
> 
> Mark
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".